IO Namespace Reference

## Namespaces

namespace | CoCoA4
namespace | Fourti2
namespace | Monos
namespace | NewMonos
namespace | Singular

## Classes

class | CoCoA4IdealWriter
class | CoCoA4PolyWriter
class | CoCoA4IOHandler
class | CountingIOHandler
| This class displays the total number of things written to output, without actually displaying those things. More...
class | Fourti2IdealWriter
class | Fourti2PolyWriter
class | Fourti2IOHandler
class | IdealWriter
class | IOHandlerCommon
| This class contains further functionality that makes it more convenient to derive from than IOHandlerImpl in most but not all cases. More...
class | IOHandlerImpl
| This class contains a minimum level of functionality that makes it more convenient to derive from than IOHandler. More...
class | M2IdealWriter
class | M2PolyWriter
class | Macaulay2IOHandler
class | MonosIdealWriter
class | MonosIOHandler
class | NewMonosIdealWriter
class | NewMonosIOHandler
class | NullIOHandler
| This class ignores the input and discards all output. More...
class | PolyWriter
class | SingularIdealWriter
class | SingularPolyWriter
class | SingularIOHandler

## Functions

void | writeCoefTermProduct (const mpz_class &coef, const Term &term, const TermTranslator &translator, bool hidePlus, FILE *out)
void | writeCoefTermProduct (const mpz_class &coef, const vector< mpz_class > &term, const VarNames &names, bool hidePlus, FILE *out)
void | writeTermProduct (const Term &term, const TermTranslator &translator, FILE *out)
void | writeTermProduct (const vector< mpz_class > &term, const VarNames &names, FILE *out)
void | readTermProduct (Scanner &in, const VarNames &names, vector< mpz_class > &term)
void | readTermProduct (BigIdeal &ideal, Scanner &in)
void | readCoefTerm (BigPolynomial &polynomial, bool firstTerm, Scanner &in)
void | readCoefTerm (mpz_class &coef, vector< mpz_class > &term, const VarNames &names, bool firstTerm, Scanner &in)
void | readVarPower (vector< mpz_class > &term, const VarNames &names, Scanner &in)

## Function Documentation

## readCoefTerm() [1/2]

void IO::readCoefTerm | ( | BigPolynomial & | polynomial,
|  | bool | firstTerm,
|  | Scanner & | in )

Definition at line 262 of file IOHandlerImpl.cpp.

## readCoefTerm() [2/2]

void IO::readCoefTerm | ( | mpz_class & | coef,
|  | vector< mpz_class > & | term,
|  | const VarNames & | names,
|  | bool | firstTerm,
|  | Scanner & | in )

Definition at line 228 of file IOHandlerImpl.cpp.

## readTermProduct() [1/2]

void IO::readTermProduct | ( | BigIdeal & | ideal,
|  | Scanner & | in )

Definition at line 217 of file IOHandlerImpl.cpp.

## readTermProduct() [2/2]

void IO::readTermProduct | ( | Scanner & | in,
|  | const VarNames & | names,
|  | vector< mpz_class > & | term )

Definition at line 108 of file IOHandlerImpl.cpp.

## readVarPower()

void IO::readVarPower | ( | vector< mpz_class > & | term,
|  | const VarNames & | names,
|  | Scanner & | in )

Definition at line 272 of file IOHandlerImpl.cpp.

## writeCoefTermProduct() [1/2]

void IO::writeCoefTermProduct | ( | const mpz_class & | coef,
|  | const Term & | term,
|  | const TermTranslator & | translator,
|  | bool | hidePlus,
|  | FILE * | out )

Definition at line 123 of file IOHandlerImpl.cpp.

## writeCoefTermProduct() [2/2]

void IO::writeCoefTermProduct | ( | const mpz_class & | coef,
|  | const vector< mpz_class > & | term,
|  | const VarNames & | names,
|  | bool | hidePlus,
|  | FILE * | out )

Definition at line 144 of file IOHandlerImpl.cpp.

## writeTermProduct() [1/2]

void IO::writeTermProduct | ( | const Term & | term,
|  | const TermTranslator & | translator,
|  | FILE * | out )

Definition at line 170 of file IOHandlerImpl.cpp.

## writeTermProduct() [2/2]

void IO::writeTermProduct | ( | const vector< mpz_class > & | term,
|  | const VarNames & | names,
|  | FILE * | out )

Definition at line 192 of file IOHandlerImpl.cpp.